package logic

import (
	"context"

	"juwan-backend/app/order/rpc/internal/svc"
	"juwan-backend/app/order/rpc/pb"

	"github.com/zeromicro/go-zero/core/logx"
)

type DelOrdersLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewDelOrdersLogic(ctx context.Context, svcCtx *svc.ServiceContext) *DelOrdersLogic {
	return &DelOrdersLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *DelOrdersLogic) DelOrders(in *pb.DelOrdersReq) (*pb.DelOrdersResp, error) {
	if err := l.svcCtx.OrderModelsRW.Orders.DeleteOneID(in.Id).Exec(l.ctx); err != nil {
		return nil, err
	}

	return &pb.DelOrdersResp{}, nil
}
